/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.picking.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.audit.information.entity.Information;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Construction;
import com.jeeplus.modules.sg.picking.activiti.entity.*;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模块显示MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface PickIngMapper extends BaseMapper<PickIng> {

    List<String> allVersion();

    void updateSelectNumber(@Param("selectNumber") String selectNumber,@Param("procInsId") String procInsId);

    String findSelectNumber(String procInsId);

    String selectVersion(String procInsId);

    ProjectNumber projectNumber(String procInsId);

    void updateSelectVersion(String version);

    void delAllTem();

    /**
     * 插入领料清单
     * */
    void processList(@Param("showList")List<ShowList> showList);

    /**
     * 获取选择项目的流程实例id与类型
     * */
    List<Acquisition> findErpType(List<String> list);

    List<CapitalExport> exportList(@Param("list") List<Acquisition> list,@Param("projectId") String projectId);

    void updateErpAfter(List<Acquisition> list);

    List<ExportBlock> findExportBlock(String procInsId);

    //清空临时表数据
    void truncateTemporary();

    /**
     * 插入临时领料清单
     * */
    void processTemList(@Param("showList")List<ShowList> showList);

    //根据流程实例id查询所有符合的临时表数据
    List<ShowList> findAllTem(String procInsId);
}